%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-iiop-client
Version:          1.0.0
Release:          %mkrel 11
Summary:          JBoss IIOP Client
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossiiop
Source0:          https://github.com/jbossas/jboss-iiop-client/archive/1.0.0.Final.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec)

%description
Client library for EJB applications working against JBoss AS using
the IIOP protocol

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-iiop-client-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Sun Feb 28 2016 daviddavid <daviddavid> 1.0.0-11.mga6
+ Revision: 980381
- First rebuild of the java stack
- sync package jboss-iiop-client with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 1.0.0-10.mga5
+ Revision: 811865
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 745742
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 17 2013 dmorgan <dmorgan> 1.0.0-7.mga4
+ Revision: 558141
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 354962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0.0-4.mga3
+ Revision: 342886
- imported package jboss-iiop-client


* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-4
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Added missing BR

* Tue Mar 13 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

